classification
Title: make life.py use more rendering characters
Type: behavior Stage:
Components: Demos and Tools Versions: Python 3.0
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: akuchling, mvngu, terry.reedy
Priority: normal Keywords: patch

Created on 2008-07-29 02:29 by mvngu, last changed 2008-08-04 18:07 by akuchling. This issue is now closed.

Files
File name Uploaded Description Edit
life.py.diff mvngu, 2008-07-29 02:29
Messages (4)
msg70375 - (view) Author: (mvngu) Date: 2008-07-29 02:29
Allows life.py to use other characters for rendering (alphanumeric plus
punctuation characters), apart from the default asterisk "*". The
rendering character can be specified from the command line.
msg70610 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2008-08-02 00:18
Summary: This patch makes a non-essential change to a curses demo.  It
also reverses several 2.x to 3.0 edits, turning it back to 2.x code.  So
the current version must be rejected.  Even if corrected, I would still
recommend closing.

To me, allowing any printable ascii char, even space, to represent live
cells adds nothing to the file's value as a curses demo.  Perhaps # as
an altnative, but even that would be a distraction from the main purpose.

The large bash-specific input chart is very nice.  I wish I has had
something like that when I worked with sh and csh.  But it has little to
do with this program in particular or Python as such and I think it
would be a distraction if added.

These diffs and others like them replace 3.0 code with 2.x code that in
two cases will not work in 3.0.

-            raise ValueError("Coordinates out of range %i,%i"% (y,x))
+            raise ValueError, "Coordinates out of range %i,%i"% (y,x)

-                live = (i,j) in self.state
+                live = self.state.has_key( (i,j) )

-    xpos, ypos = board.X//2, board.Y//2
+    xpos, ypos = board.X/2, board.Y/2
msg70671 - (view) Author: (mvngu) Date: 2008-08-04 00:17
Thank you Terry. I highly appreciate your comments.
msg70708 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-08-04 18:07
I agree with tjreedy that this change is not very interesting for a demo
program.  It would be more interesting to add larger features such as
different cellular automata, mouse or colour support, or something like
that.

Thanks for your patch, anyway.
History
Date User Action Args
2008-08-04 18:07:52akuchlingsetstatus: open -> closed
resolution: rejected
messages: + msg70708
nosy: + akuchling
2008-08-04 00:17:12mvngusetmessages: + msg70671
2008-08-02 00:18:41terry.reedysetnosy: + terry.reedy
messages: + msg70610
2008-07-29 02:29:33mvngucreate